com.genesyslab.wfm8.API.service.RTA850

## Class AgentFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA850.AgentFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentFilter
      extends java.lang.Object
      implements java.io.Serializable

  Agent filter class contains filtering options
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<ItemSiteID>` | `activityIDArray`
    `protected int` | `activityIDArraySize`
    `protected java.util.List<ItemSiteID>` | `agentIDArray`
    `protected int` | `agentIDArraySize`
    `protected java.util.List<java.lang.Integer>` | `genesysStateIDs`
    `protected int` | `genesysStateIDsSize`
    `protected java.util.List<java.lang.String>` | `reasonCodeArray`
    `protected int` | `reasonCodeArraySize`
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `showAdherenceStatus`
    `protected int` | `showAdherenceStatusSize`
    `protected java.util.List<java.lang.Integer>` | `stateGroupIDs`
    `protected int` | `stateGroupIDsSize`
    `protected java.util.List<ItemSiteID>` | `teamIDArray`
    `protected int` | `teamIDArraySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<ItemSiteID>` | `getActivityIDArray()` Gets the value of the activityIDArray property.
    `int` | `getActivityIDArraySize()` Gets the value of the activityIDArraySize property.
    `java.util.List<ItemSiteID>` | `getAgentIDArray()` Gets the value of the agentIDArray property.
    `int` | `getAgentIDArraySize()` Gets the value of the agentIDArraySize property.
    `java.util.List<java.lang.Integer>` | `getGenesysStateIDs()` Gets the value of the genesysStateIDs property.
    `int` | `getGenesysStateIDsSize()` Gets the value of the genesysStateIDsSize property.
    `java.util.List<java.lang.String>` | `getReasonCodeArray()` Gets the value of the reasonCodeArray property.
    `int` | `getReasonCodeArraySize()` Gets the value of the reasonCodeArraySize property.
    `java.util.List<java.lang.Integer>` | `getShowAdherenceStatus()` Gets the value of the showAdherenceStatus property.
    `int` | `getShowAdherenceStatusSize()` Gets the value of the showAdherenceStatusSize property.
    `java.util.List<java.lang.Integer>` | `getStateGroupIDs()` Gets the value of the stateGroupIDs property.
    `int` | `getStateGroupIDsSize()` Gets the value of the stateGroupIDsSize property.
    `java.util.List<ItemSiteID>` | `getTeamIDArray()` Gets the value of the teamIDArray property.
    `int` | `getTeamIDArraySize()` Gets the value of the teamIDArraySize property.
    `int` | `hashCode()`
    `void` | `setActivityIDArray(java.util.List<ItemSiteID> activityIDArray)` Sets the value of the activityIDArray property.
    `void` | `setActivityIDArraySize(int value)` Sets the value of the activityIDArraySize property.
    `void` | `setAgentIDArray(java.util.List<ItemSiteID> agentIDArray)` Sets the value of the agentIDArray property.
    `void` | `setAgentIDArraySize(int value)` Sets the value of the agentIDArraySize property.
    `void` | `setGenesysStateIDs(java.util.List<java.lang.Integer> genesysStateIDs)` Sets the value of the genesysStateIDs property.
    `void` | `setGenesysStateIDsSize(int value)` Sets the value of the genesysStateIDsSize property.
    `void` | `setReasonCodeArray(java.util.List<java.lang.String> reasonCodeArray)` Sets the value of the reasonCodeArray property.
    `void` | `setReasonCodeArraySize(int value)` Sets the value of the reasonCodeArraySize property.
    `void` | `setShowAdherenceStatus(java.util.List<java.lang.Integer> showAdherenceStatus)` Sets the value of the showAdherenceStatus property.
    `void` | `setShowAdherenceStatusSize(int value)` Sets the value of the showAdherenceStatusSize property.
    `void` | `setStateGroupIDs(java.util.List<java.lang.Integer> stateGroupIDs)` Sets the value of the stateGroupIDs property.
    `void` | `setStateGroupIDsSize(int value)` Sets the value of the stateGroupIDsSize property.
    `void` | `setTeamIDArray(java.util.List<ItemSiteID> teamIDArray)` Sets the value of the teamIDArray property.
    `void` | `setTeamIDArraySize(int value)` Sets the value of the teamIDArraySize property.
    `java.lang.String` | `toString()`
    `AgentFilter` | `withActivityIDArray(java.util.Collection<ItemSiteID> values)`
    `AgentFilter` | `withActivityIDArray(ItemSiteID... values)`
    `AgentFilter` | `withActivityIDArraySize(int value)`
    `AgentFilter` | `withAgentIDArray(java.util.Collection<ItemSiteID> values)`
    `AgentFilter` | `withAgentIDArray(ItemSiteID... values)`
    `AgentFilter` | `withAgentIDArraySize(int value)`
    `AgentFilter` | `withGenesysStateIDs(java.util.Collection<java.lang.Integer> values)`
    `AgentFilter` | `withGenesysStateIDs(java.lang.Integer... values)`
    `AgentFilter` | `withGenesysStateIDsSize(int value)`
    `AgentFilter` | `withReasonCodeArray(java.util.Collection<java.lang.String> values)`
    `AgentFilter` | `withReasonCodeArray(java.lang.String... values)`
    `AgentFilter` | `withReasonCodeArraySize(int value)`
    `AgentFilter` | `withShowAdherenceStatus(java.util.Collection<java.lang.Integer> values)`
    `AgentFilter` | `withShowAdherenceStatus(java.lang.Integer... values)`
    `AgentFilter` | `withShowAdherenceStatusSize(int value)`
    `AgentFilter` | `withStateGroupIDs(java.util.Collection<java.lang.Integer> values)`
    `AgentFilter` | `withStateGroupIDs(java.lang.Integer... values)`
    `AgentFilter` | `withStateGroupIDsSize(int value)`
    `AgentFilter` | `withTeamIDArray(java.util.Collection<ItemSiteID> values)`
    `AgentFilter` | `withTeamIDArray(ItemSiteID... values)`
    `AgentFilter` | `withTeamIDArraySize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### stateGroupIDsSize

          protected int stateGroupIDsSize

    - #### stateGroupIDs

          protected java.util.List<java.lang.Integer> stateGroupIDs

    - #### genesysStateIDsSize

          protected int genesysStateIDsSize

    - #### genesysStateIDs

          protected java.util.List<java.lang.Integer> genesysStateIDs

    - #### showAdherenceStatusSize

          protected int showAdherenceStatusSize

    - #### showAdherenceStatus

          protected java.util.List<java.lang.Integer> showAdherenceStatus

    - #### reasonCodeArraySize

          protected int reasonCodeArraySize

    - #### reasonCodeArray

          protected java.util.List<java.lang.String> reasonCodeArray

    - #### agentIDArraySize

          protected int agentIDArraySize

    - #### agentIDArray

          protected java.util.List<ItemSiteID> agentIDArray

    - #### teamIDArraySize

          protected int teamIDArraySize

    - #### teamIDArray

          protected java.util.List<ItemSiteID> teamIDArray

    - #### activityIDArraySize

          protected int activityIDArraySize

    - #### activityIDArray

          protected java.util.List<ItemSiteID> activityIDArray

  - ### Constructor Detail

    - #### AgentFilter

          public AgentFilter()

  - ### Method Detail

    - #### getStateGroupIDsSize

          public int getStateGroupIDsSize()

      Gets the value of the stateGroupIDsSize property.

    - #### setStateGroupIDsSize

          public void setStateGroupIDsSize(int value)

      Sets the value of the stateGroupIDsSize property.

    - #### getStateGroupIDs

          public java.util.List<java.lang.Integer> getStateGroupIDs()

      Gets the value of the stateGroupIDs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stateGroupIDs property.

      For example, to add a new item, do as follows:

              getStateGroupIDs().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getGenesysStateIDsSize

          public int getGenesysStateIDsSize()

      Gets the value of the genesysStateIDsSize property.

    - #### setGenesysStateIDsSize

          public void setGenesysStateIDsSize(int value)

      Sets the value of the genesysStateIDsSize property.

    - #### getGenesysStateIDs

          public java.util.List<java.lang.Integer> getGenesysStateIDs()

      Gets the value of the genesysStateIDs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the genesysStateIDs property.

      For example, to add a new item, do as follows:

              getGenesysStateIDs().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getShowAdherenceStatusSize

          public int getShowAdherenceStatusSize()

      Gets the value of the showAdherenceStatusSize property.

    - #### setShowAdherenceStatusSize

          public void setShowAdherenceStatusSize(int value)

      Sets the value of the showAdherenceStatusSize property.

    - #### getShowAdherenceStatus

          public java.util.List<java.lang.Integer> getShowAdherenceStatus()

      Gets the value of the showAdherenceStatus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the showAdherenceStatus property.

      For example, to add a new item, do as follows:

              getShowAdherenceStatus().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getReasonCodeArraySize

          public int getReasonCodeArraySize()

      Gets the value of the reasonCodeArraySize property.

    - #### setReasonCodeArraySize

          public void setReasonCodeArraySize(int value)

      Sets the value of the reasonCodeArraySize property.

    - #### getReasonCodeArray

          public java.util.List<java.lang.String> getReasonCodeArray()

      Gets the value of the reasonCodeArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasonCodeArray property.

      For example, to add a new item, do as follows:

              getReasonCodeArray().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getAgentIDArraySize

          public int getAgentIDArraySize()

      Gets the value of the agentIDArraySize property.

    - #### setAgentIDArraySize

          public void setAgentIDArraySize(int value)

      Sets the value of the agentIDArraySize property.

    - #### getAgentIDArray

          public java.util.List<ItemSiteID> getAgentIDArray()

      Gets the value of the agentIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentIDArray property.

      For example, to add a new item, do as follows:

              getAgentIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `ItemSiteID`

    - #### getTeamIDArraySize

          public int getTeamIDArraySize()

      Gets the value of the teamIDArraySize property.

    - #### setTeamIDArraySize

          public void setTeamIDArraySize(int value)

      Sets the value of the teamIDArraySize property.

    - #### getTeamIDArray

          public java.util.List<ItemSiteID> getTeamIDArray()

      Gets the value of the teamIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the teamIDArray property.

      For example, to add a new item, do as follows:

              getTeamIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `ItemSiteID`

    - #### getActivityIDArraySize

          public int getActivityIDArraySize()

      Gets the value of the activityIDArraySize property.

    - #### setActivityIDArraySize

          public void setActivityIDArraySize(int value)

      Sets the value of the activityIDArraySize property.

    - #### getActivityIDArray

          public java.util.List<ItemSiteID> getActivityIDArray()

      Gets the value of the activityIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the activityIDArray property.

      For example, to add a new item, do as follows:

              getActivityIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `ItemSiteID`

    - #### withStateGroupIDsSize

          public AgentFilter withStateGroupIDsSize(int value)

    - #### withStateGroupIDs

          public AgentFilter withStateGroupIDs(java.lang.Integer... values)

    - #### withStateGroupIDs

          public AgentFilter withStateGroupIDs(java.util.Collection<java.lang.Integer> values)

    - #### withGenesysStateIDsSize

          public AgentFilter withGenesysStateIDsSize(int value)

    - #### withGenesysStateIDs

          public AgentFilter withGenesysStateIDs(java.lang.Integer... values)

    - #### withGenesysStateIDs

          public AgentFilter withGenesysStateIDs(java.util.Collection<java.lang.Integer> values)

    - #### withShowAdherenceStatusSize

          public AgentFilter withShowAdherenceStatusSize(int value)

    - #### withShowAdherenceStatus

          public AgentFilter withShowAdherenceStatus(java.lang.Integer... values)

    - #### withShowAdherenceStatus

          public AgentFilter withShowAdherenceStatus(java.util.Collection<java.lang.Integer> values)

    - #### withReasonCodeArraySize

          public AgentFilter withReasonCodeArraySize(int value)

    - #### withReasonCodeArray

          public AgentFilter withReasonCodeArray(java.lang.String... values)

    - #### withReasonCodeArray

          public AgentFilter withReasonCodeArray(java.util.Collection<java.lang.String> values)

    - #### withAgentIDArraySize

          public AgentFilter withAgentIDArraySize(int value)

    - #### withAgentIDArray

          public AgentFilter withAgentIDArray(ItemSiteID... values)

    - #### withAgentIDArray

          public AgentFilter withAgentIDArray(java.util.Collection<ItemSiteID> values)

    - #### withTeamIDArraySize

          public AgentFilter withTeamIDArraySize(int value)

    - #### withTeamIDArray

          public AgentFilter withTeamIDArray(ItemSiteID... values)

    - #### withTeamIDArray

          public AgentFilter withTeamIDArray(java.util.Collection<ItemSiteID> values)

    - #### withActivityIDArraySize

          public AgentFilter withActivityIDArraySize(int value)

    - #### withActivityIDArray

          public AgentFilter withActivityIDArray(ItemSiteID... values)

    - #### withActivityIDArray

          public AgentFilter withActivityIDArray(java.util.Collection<ItemSiteID> values)

    - #### setStateGroupIDs

          public void setStateGroupIDs(java.util.List<java.lang.Integer> stateGroupIDs)

      Sets the value of the stateGroupIDs property.
      Parameters:
        `stateGroupIDs` - allowed object is `Integer`

    - #### setGenesysStateIDs

          public void setGenesysStateIDs(java.util.List<java.lang.Integer> genesysStateIDs)

      Sets the value of the genesysStateIDs property.
      Parameters:
        `genesysStateIDs` - allowed object is `Integer`

    - #### setShowAdherenceStatus

          public void setShowAdherenceStatus(java.util.List<java.lang.Integer> showAdherenceStatus)

      Sets the value of the showAdherenceStatus property.
      Parameters:
        `showAdherenceStatus` - allowed object is `Integer`

    - #### setReasonCodeArray

          public void setReasonCodeArray(java.util.List<java.lang.String> reasonCodeArray)

      Sets the value of the reasonCodeArray property.
      Parameters:
        `reasonCodeArray` - allowed object is `String`

    - #### setAgentIDArray

          public void setAgentIDArray(java.util.List<ItemSiteID> agentIDArray)

      Sets the value of the agentIDArray property.
      Parameters:
        `agentIDArray` - allowed object is `ItemSiteID`

    - #### setTeamIDArray

          public void setTeamIDArray(java.util.List<ItemSiteID> teamIDArray)

      Sets the value of the teamIDArray property.
      Parameters:
        `teamIDArray` - allowed object is `ItemSiteID`

    - #### setActivityIDArray

          public void setActivityIDArray(java.util.List<ItemSiteID> activityIDArray)

      Sets the value of the activityIDArray property.
      Parameters:
        `activityIDArray` - allowed object is `ItemSiteID`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.